org.apache.solr.client.solrj.request

## Class V2Request

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<V2Response>
  - - org.apache.solr.client.solrj.request.V2Request

All Implemented Interfaces:
  Serializable

    public class V2Request
    extends SolrRequest<V2Response>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `V2Request.Builder`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

Fields
`boolean` `useBinary`
`static ThreadLocal<AtomicLong>` `v2Calls`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected V2Response` `createResponse(SolrClient client)` Create a new SolrResponse to hold the response from the server
`String` `getCollection()`
`Collection<ContentStream>` `getContentStreams()`
`SolrParams` `getParams()`
`boolean` `isPerCollectionRequest()`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### v2Calls

    public static final ThreadLocal<AtomicLong> v2Calls

#### useBinary

    public final boolean useBinary

### Method Detail

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<V2Response>`

#### getContentStreams

    public Collection<ContentStream> getContentStreams()
                                                throws IOException

Specified by:
  `getContentStreams` in class `SolrRequest<V2Response>`
Throws:
  `IOException`

#### isPerCollectionRequest

    public boolean isPerCollectionRequest()

#### getCollection

    public String getCollection()

Overrides:
  `getCollection` in class `SolrRequest<V2Response>`

#### createResponse

    protected V2Response createResponse(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<V2Response>`
Parameters:
  `client` - the `SolrClient` the request will be sent to